Page MenuHomePhabricator

Add horizontal separators to separate different text labels
Closed, ResolvedPublic3 Story Points

Description

User story

As a user, I would like to see which labels are part of the same phrase so I can translate them effectively.

Requirements

This ticket is for adding horizontal separators for separating different text label groupings. This means that all the tspan elements in a text label group will appear together. The separators will appear even if the text label does not contain any tspan.

This ticket will not handle any cases where the text labels have not been split as they should have or the entire file contains tspans or any other edge cases.

Design

Needs QA?

Yes. This file and its derivatives are good files to test this with.

Event Timeline

Niharika created this task.Jan 23 2019, 2:12 AM
Restricted Application added a project: Community-Tech. · View Herald TranscriptJan 23 2019, 2:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Niharika triaged this task as Normal priority.Jan 23 2019, 2:12 AM
Niharika updated the task description. (Show Details)
Niharika moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
Niharika set the point value for this task to 3.Feb 7 2019, 1:05 AM
Samwilson claimed this task.Feb 7 2019, 2:37 AM
Samwilson added a subscriber: Samwilson.

This seems simpler than I thought, and I accidentally did it while seeing if it was possible. https://github.com/wikimedia/svgtranslate/pull/63

aezell added a subscriber: aezell.Feb 7 2019, 11:56 AM

That is even easier than what I was thinking. I like that we aren't touching the translations array from SvgFile at all.

I've added tests and refactored the form-field building into a separate class. Ready for code review now.

Staging site updated (automatically!) and this is ready for QA.

Looks pretty good! @Prtksxna You have any design changes you'd like to see here? See https://tools.wmflabs.org/svgtranslate-test/File:Speech_bubbles.svg

One change could be to not group when there's only one item in each group, like in https://tools.wmflabs.org/svgtranslate-test/File:Cathedral.svg

Production site updated to 0.2.0.

This is ready for QA.

Looks pretty good! @Prtksxna You have any design changes you'd like to see here? See https://tools.wmflabs.org/svgtranslate-test/File:Speech_bubbles.svg

Looks good to me, I the colors that I had chosen aren't good for a11y, I'll raise a separate task for the fix.

Niharika closed this task as Resolved.Feb 15 2019, 2:20 AM
Niharika moved this task from QA to Q3 2018-19 on the Community-Tech-Sprint board.
Niharika moved this task from In progress to Done on the SVG Translate Tool board.Feb 15 2019, 9:01 PM